Bug 197804 - [handbook] error in chapter 15.6.4.1 (jail with ezjail)
Summary: [handbook] error in chapter 15.6.4.1 (jail with ezjail)
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-18 19:50 UTC by rainer
Modified: 2018-07-20 16:00 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rainer 2015-02-18 19:50:11 UTC
handbook says:
ezjail-admin update -r

to update basejail with freebsd-update.

This is not right, the update -r subcommand is only available as "install -r".

ezjail only supports -u (freebsd-update) and -U (freebsd-update -r).

However, the way it's currently done is not ideal.

A better way seems to be described here:
https://elektropost.org/ezjail/msg00118.html

But it's very tiresome (because of freebsd-updates poor merge)

Is the handbook suggesting to just re-install the basejail with the newer release?
Comment 1 commit-hook freebsd_committer 2015-03-18 23:21:24 UTC
A commit references this bug:

Author: allanjude
Date: Wed Mar 18 23:21:07 UTC 2015
New revision: 46355
URL: https://svnweb.freebsd.org/changeset/doc/46355

Log:
  Fixup typo and improve grammar in ZFS chapter of handbook

  PR:		197804
  Differential Revision:	https://reviews.freebsd.org/D1213
  Submitted by:	Mike M <mike.543@comcast.net> (original)
  Approved by:	wblock (mentor)
  Sponsored by:	ScaleEngine Inc.

Changes:
  head/en_US.ISO8859-1/books/handbook/zfs/chapter.xml
Comment 2 Allan Jude freebsd_committer 2015-03-18 23:27:22 UTC
Sorry, the last commit referenced the wrong bug
Comment 3 commit-hook freebsd_committer 2015-05-29 20:17:29 UTC
A commit references this bug:

Author: allanjude
Date: Fri May 29 20:16:41 UTC 2015
New revision: 46733
URL: https://svnweb.freebsd.org/changeset/doc/46733

Log:
  Fix incorrect instructions in ezjail upgrading section of the handbook

  There is no ezjail-update -r
  Explain how to upgrade between versions that different from the host version

  PR:		197804
  Differential Revision:	https://reviews.freebsd.org/D2114
  Approved by:	wblock (mentor)
  Sponsored by:	ScaleEngine Inc.

Changes:
  head/en_US.ISO8859-1/books/handbook/jails/chapter.xml